Bug 1470491 - Service provision on Azure fails when managed image is used.
Service provision on Azure fails when managed image is used.
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: drew uhlmann
Leo Khomenko
provider:azure:orchestration
:
: 1470490 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 00:00 EDT by Jeff Teehan
Modified: 2017-11-14 16:18 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Teehan 2017-07-13 00:00:16 EDT
Description of problem:
There is a problem, on with Orchestration, when provisioning using a Managed Image from Azure.

Version-Release number of selected component (if applicable):
5.7.3 (It's in 5.8.1 as well, but I'll add another bug)

How reproducible:
Alwalys

Steps to Reproduce:
1.  Create managed image on Azure
2.  Create a catalog item type=Orchestration using the azure provider.
3.  Service Catalog provision and fill in all fields.  Select a Managed image for image.

5.7.3 fails with "The value of parameter bootDiagnostics.storageAccountUri is invalid."
5.8.1 fails with "Server [EVM] Service [AzureOneVM-20170712-234801] Step [checkprovisioned] Status [Error Creating Stack] Message [Creating Stack]"
Expected results:

Expected results:


Additional info:
If you LifeCycle provision the same image it works correctly.
 
I leave appliance 5.7.3 running on 10.16.6.204, 5.8.1 is running on 10.8.198.175
Comment 2 Greg McCullough 2017-07-13 11:07:45 EDT
*** Bug 1470490 has been marked as a duplicate of this bug. ***
Comment 3 Dave Johnson 2017-07-25 14:43:03 EDT
Brad,

You will most likely need to speak with GregM for a better explanation but this he was saying that this Service Orchestration Provision was workaround that we put in place until we have the Lifecycle provisions working.  Now that this is the case, can this workaround be removed or does Azure Service Orchestration need to also support Managed Images (which are going to be what customers use in practice)???
Comment 4 Greg McCullough 2017-07-26 11:34:46 EDT
Discuss with Brad - The issue is that we provided an orchestration template "azure-single-vm-from-user-image" which can be used with some images, but does not support managed images.  This template was originally provided as a provisioning option before Lifecycle provisioning for Azure was fully implemented.

I suggest we do one of the follow to resolve this issue:
1) Delete the sample orchestration template (and corresponding service dialog) in favor of Lifecycle provisioning.

2) Keep the sample orchestration template but document that is only a sample and does not work for managed images.

3) Have someone, possible QE, research if the template can be modified to work for both managed and non-managed images.
Comment 5 bascar 2017-07-27 08:58:39 EDT
Opt for option 1. 

We no longer need to have the sample in system, the Azure template ecosystems is quite large now. We should add a doc link to the Microsoft Azure Quickstart Templates github[1] with all of their samples. 

To note, only a portion of their own samples can used managed disks as the concept was only introduced 5 months ago. The ones that can had to be updated to use managed disks.  

The sample that we used to create the example template[2] itself says it does not support managed disks and a note was added so that it noted *unmamanged*[3]

[1] https://github.com/Azure/azure-quickstart-templates
[2] https://github.com/Azure/azure-quickstart-templates/tree/master/101-vm-from-user-image as it existed before that concept
[3] https://github.com/Azure/azure-quickstart-templates/commit/127f992cfffb9dd6ab1144088c16fea6529f2f96
Comment 6 Greg McCullough 2017-08-01 08:24:57 EDT
Drew - Upstream we need to revert two of the commits from PR https://github.com/ManageIQ/manageiq/pull/5442.  

Seed sample dialog for Azure VM provisioning through orchestration template
commit 6b4fdfd1f103673af7e6b9a2a4d546c3afeecccb

Seed sample azure template to provision VM from private image
commit 16f9f638a222d56cad23c2d344d2457d8c7a7c2b
Excluding the service model "service_models/miq_ae_service_manageiq-providers-azure-cloud_manager-template.rb" which has already been removed.

Note that these files have been moved to different repos so will likely require new PRs to back out the changes.


Downstream I suggest that we consider this as a "Closed - Won't Fix" since the template is still viable under the known constraints.
Comment 9 CFME Bot 2017-08-07 18:41:33 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a16d3428a674b2cc266580fe4892af3fb87e6de5

commit a16d3428a674b2cc266580fe4892af3fb87e6de5
Author:     drew uhlmann <drewuhlmann@gmail.com>
AuthorDate: Mon Aug 7 14:49:06 2017 -0400
Commit:     drew uhlmann <drewuhlmann@gmail.com>
CommitDate: Mon Aug 7 14:49:06 2017 -0400

    Remove methods for Azure sample orchestration
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1470491

 app/models/orchestration_template.rb       | 11 -------
 spec/models/orchestration_template_spec.rb | 47 ------------------------------
 2 files changed, 58 deletions(-)
Comment 10 CFME Bot 2017-08-07 18:43:36 EDT
New commit detected on ManageIQ/manageiq-providers-azure/master:
https://github.com/ManageIQ/manageiq-providers-azure/commit/4755591c2f8fa752adbccf3d84a9753d16e4a61b

commit 4755591c2f8fa752adbccf3d84a9753d16e4a61b
Author:     drew uhlmann <drewuhlmann@gmail.com>
AuthorDate: Mon Aug 7 11:58:31 2017 -0400
Commit:     drew uhlmann <drewuhlmann@gmail.com>
CommitDate: Mon Aug 7 16:42:25 2017 -0400

    Removes sample orchestration template in favor of lifecycle provisioniong
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1470491

 .../azure-single-vm-from-user-image.yml            | 156 --------
 .../azure-single-vm-from-user-image.yml            | 435 ---------------------
 2 files changed, 591 deletions(-)
 delete mode 100644 content/orchestration_templates/azure-single-vm-from-user-image.yml
 delete mode 100644 content/service_dialogs/azure-single-vm-from-user-image.yml

Note You need to log in before you can comment on or make changes to this bug.